> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/applications/delete-gsa-application-registration.md).

# Gsa アプリケーション登録の削除

### 説明

この runbook は、"add-gsa-application-registration" runbook によって作成された Global Secure Access のアプリケーション登録を、それによりプロビジョニングされたすべてのものを含めて削除します。具体的には、アプリケーション（したがってその Service Principal、アプリケーション セグメント、およびコネクタ グループの割り当て）と、命名規則によって作成された Security Group です。

命名規則のグループは、表示名が管理者定義のグループ接頭辞に一致するアプリケーションに割り当てられているグループを通じて識別されます。グループが作成されたものの一度も割り当てられていない場合（部分的なプロビジョニング）、命名規則に基づくベストエフォート検索が実行されます。

安全対策:

* この runbook は、何かを削除する前に、そのアプリケーションが実際に GSA / App Proxy アプリケーション（onPremisesPublishing）であることを検証します。
* 既定では、命名規則に一致する Security Group のみが削除されます。アプリケーションに割り当てられている他のグループは一覧表示されますが、削除はされません。これらは他のアプリケーションと共有されている可能性があるためです。これを変更するには deleteAllAssignedGroups を設定します。

### 場所

組織 → アプリケーション → GSA アプリケーション登録の削除

**Runbook の完全名**

rjgit-org\_applications\_delete-GSA-application-registration

### 詳細

| プロパティ    | 値                                                                                       |
| -------- | --------------------------------------------------------------------------------------- |
| バージョン    | 1.2.2                                                                                   |
| 必要なモジュール | <p>RealmJoin.RunbookHelper (>= 0.8.9)<br>Microsoft.Graph.Authentication (>= 2.39.0)</p> |
| スケジュール可能 | いいえ                                                                                     |

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**：Microsoft Graph
  * Application.ReadWrite.All
    * *Global Secure Access アプリを検索し、onPremisesPublishing を確認して、DELETE /applications/{id} で削除します*
  * Group.ReadWrite.All
    * *アプリの命名規則に基づくアクセス グループを検索し、割り当て済みまたは孤立したグループを削除します*

### パラメーター

#### applicationName

削除する GSA アプリケーションの完全な表示名。例: "GSA-MyApp"。

| プロパティ   | 値                              |
| ------- | ------------------------------ |
| 必須      | はい                             |
| 既定値     |                                |
| 種類      | 文字列                            |
| ポータル表示名 | アプリケーション名（完全な表示名。例: GSA-MyApp） |

#### groupPrefix

削除対象のグループを識別するために使用する Security Group 命名規則のプレフィックス。add-gsa-application-registration runbook の groupPrefix と一致している必要があります。既定: "App - Entra - GSA - ".

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | いいえ                      |
| 既定値      | App - Entra - GSA -      |
| 種類       | 文字列                      |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定） |

#### groupSuffix

Security Group 命名規則の任意のサフィックス。既定: 空。

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | いいえ                      |
| 既定値      |                          |
| 種類       | 文字列                      |
| ポータルで非表示 | はい（Runbook のカスタマイズで事前設定） |

#### deleteAllAssignedGroups

true の場合、アプリケーションに割り当てられているすべてのグループが削除され、命名規則グループのみではありません。注意して使用してください。割り当て済みのグループは他のアプリケーションと共有されている可能性があります。既定: false。

| プロパティ   | 値                                                            |
| ------- | ------------------------------------------------------------ |
| 必須      | いいえ                                                          |
| 既定値     | False                                                        |
| 種類      | ブール値                                                         |
| ポータル表示名 | アプリケーションに割り当てられている他のすべてのグループも削除する（注意 - グループは共有されている可能性があります） |

[Runbook Reference の概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/org/applications/delete-gsa-application-registration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
